Assignee: Lion Wang % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Description

When | build the full image. | have trouble with the mtkcam3 image in the IMAGE_INSTALL_append part.
It is always fail when | build the image with this. So, | have to remove this image to build the image successfully.

| In file included from /[home/vinhbeo/Documents/sb52-yocto/build/tmp/work/aarch64-poky-linux/mtkcam3/1.0-r8/mtkcam3-1.0//aaa/source/isp_58/Thread/ThreadStatisticBufImp.cpp:38:

| /home/vinhbeo/Documents/sb52-yocto/build/tmp/work/aarché4-poky-1linux/mtkcam3/1.0-r@/mtkcam3-1.0//utils/property_service/cutils/pro ties.h:17:20: warning: extra tokens at end of
#ifdef directive [-Wextra-tokens]

| #ifdef property_get(x,y,z)
| In file included from fhome/vinhbeo/Documents/sb52-yocto/build/tmp/work/aarché4-poky-1inux/mtkcam3/1.0-r@/ntkcan3-1.08//aaa/source/isp_50/Thread/ThreadstatisticBufImp.cpp:41
| In file included from /fhome/vinhbeo/Documents/sb52-yocto/build/tmp/work/aarch64-poky-1linux/mtkcam3/1.0-r0/mtkcam3-1.0//aaa/source/common/hal3a/IThread.h
| In file included from /home/vinhbeo/Documents/sb52-yocto/build/tmp/work/aarch64-poky-1linux/mtkcam3/1.0-r@/mtkcam3-1.0//aaa/source/isp_50/aaa_result.h:53
| In file included from /home/vinhbeo/Documents/sb52-yocto/build/tmp/work/aarch64-poky-1linux/mtkcam3/1.0-r8/mtkcam3-1.0//custom/mt8183/hal/inc/isp_tuning/ver1l/isp_tuning_cam_info.h:
In file included from include/mtkcam/utils/TuningUtils/FileDumpNamingRule.h:4:
In file included from include/mtkcam/utils/imgbuf/IImageBuffer.h:41:
include/hardware/gralloc.h:2:9: warning: '_MTK_GRALLOC_' is used as a header guard here, followed by #define of a different macro [-Wheader-guard]
#ifndef MTK GRALLOC_
A

include/hardware/gralloc.h:3:9: note: 'MTK_GRALLOC_' is defined here; did you mean '_MTK_GRALLOC_
#define MTK_GRALLOC_
A
_MTK_GRALLOC_
clang-8: note: diagnostic msg:
HEHEREEEEHEREEEEREEE

Preprocessed source(s) and associated run script(s) are located at:
clang-8: note: diagnostic ms Jtmp/main_iopipe-460659.cpp

clang-8: note: diagnostic ms /tmp/main_iopipe-460659.sh

clang-8: note: diagnostic ms

D T T T
<builtinz: recipe for target 'drv/src/isp/dip/5.0/iopipe/test/main_iopipe.o' failed
make: *** [drv/src/isp/dip/5.0/1lopipe/test/main_iopipe.o] Error 254

make: *** Waiting for unfinished jobs....

2 warnings generated.

ERROR: oe_runmake failed

WARNING: exit cede 1 from a shell command.
| PLEASE ATTACH THE FOLLOWING FILES TO THE BUG REPORT:
|
|
|
|
|
|
|
|
|
|
|
|
| ERROR: Function failed: do_compile (log file is located at /home/vinhbeo/Documents/sb52-yocto/bulld/tmp/work/aarch64-poky-1inux/mtkcam3/1.8-r6/temp/log.do_compile.69428)

NOTE: mtkwifitesttool: compiling from workon source tree fhome/vinhbeo/Documents/sb52-yocto/build/../src/connectivity/wifitesttool
NOTE: Tasks Summary: Attempted 3744 tasks of which 5 didn't need to be rerun and 1 failed.
NOTE: Writing buildhistory

Summary: 1 task failed:
/home /vinhbeo/Documents/sb52-yocto/meta/poky/.. /meta-mediatek-mt8385/recipes-multimedia/mtkcam3/mtkcam3.bb:do_compile
Summary: There were 299 WARNING messages shown.
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.
vinhbeo@ubuntu:~/Do ¥ uilds

History

#1 - 09/07/2021 09:44 AM - Lion Wang
Hi Vinh,

Could you provide full log?

#2 - 09/07/2021 10:05 AM - Lion Wang
Hi Vinh,

Could you upload full log as file?
If too big you can compress it.

#3 - 09/07/2021 10:29 AM - vinhtrannguyen acis
- File mtkcam3_log.rar added

Here you are

#4 - 09/07/2021 10:41 AM - Lion Wang
Hi Vinh,

How many Ram and Swap do you have?
Here is my.
lion@lion-3598bs7:~/samba/build/sb52_r3_android$ free -h

total used free shared buff/cache available
Mem: 15Gi 1.7G1i 443Mi 164Mi 13Gi 13Gi
Swap: 511Mi 2.0M1 509Mi

#5 - 09/07/2021 11:35 AM - vinhtrannguyen acis

| use a virtual machine to build image. | give it 4GB ram.

#6 - 09/07/2021 11:42 AM - Lion Wang
Hi Vinh,

Please increase your RAM or use swap to replace RAM.
16G RAM will be good.

#7 - 09/07/2021 11:45 AM - vinhtrannguyen acis

Hi Lion,
OK. Thank you for information

#8 - 09/07/2021 02:38 PM - Lion Wang

- Status changed from New to In Progress

#9 - 09/08/2021 09:47 AM - Lion Wang
Hi Vinh,

If you do not have question about this issue.
| will close this issue in tomorrow.

#10 - 09/09/2021 01:48 PM - Lion Wang

- Status changed from In Progress to Closed

Files
unnamed.png 876 KB 09/07/2021 vinhtrannguyen acis
